unit Pool_SesMgr_Unit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  WABD_Objects;

type
  TPool_Session_Mgr = class(TDataModule)
    WABD_PoolSessionMgr: TWABD_SessionMgr;
    procedure WABD_PoolSessionMgrCreateSession(
      var NewSession: TWABD_Session);
    procedure WABD_PoolSessionMgrDestroySession(Session: TWABD_Session);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Pool_Session_Mgr: TPool_Session_Mgr;

implementation

uses Pool_Mod_Unit;

{$R *.DFM}

procedure TPool_Session_Mgr.WABD_PoolSessionMgrCreateSession(
  var NewSession: TWABD_Session);
var
   pm : TPool_Module;
begin
   pm := TPool_Module.Create(nil);
   NewSession := pm.WABD_PoolSession;
end;

procedure TPool_Session_Mgr.WABD_PoolSessionMgrDestroySession(
  Session: TWABD_Session);
begin
   Session.Owner.Free;
end;


initialization
   Pool_Session_Mgr := TPool_Session_Mgr.Create(nil);
end.
