unit Test_DataMod;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  WABD_Objects;

type
  TWABD_Data = class(TDataModule)
    WABD_SessionMgr1: TWABD_SessionMgr;
    procedure WABD_SessionMgr1CreateSession(var NewSession: TWABD_Session);
    procedure WABD_SessionMgr1DestroySession(Session: TWABD_Session);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WABD_Data: TWABD_Data;

implementation

{$R *.DFM}

uses Test_Forms;

procedure TWABD_Data.WABD_SessionMgr1CreateSession(
  var NewSession: TWABD_Session);
var
   df : TTestForms;
begin
   df := TTestForms.Create(nil);    // Be sure to have a NIL owner!
   NewSession := df.UserSession;
end;

procedure TWABD_Data.WABD_SessionMgr1DestroySession(
  Session: TWABD_Session);
begin
   // By destroying the DataModule, the Session will be destroyed
   Session.Owner.Free;
end;

initialization
   WABD_Data := TWABD_Data.Create(nil);
end.
