unit Test_Forms;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  WABD_Objects, Db, DBTables, WABD_EditTable;

type
  TTestForms = class(TDataModule)
    UserSession: TWABD_Session;
    MainForm: TWABD_Form;
    WABD_FormSection1: TWABD_FormSection;
    WABD_Header1: TWABD_Header;
    WABD_Header2: TWABD_Header;
    WABD_Header3: TWABD_Header;
    WABD_Button1: TWABD_Button;
    WABD_Button2: TWABD_Button;
    WABD_Button3: TWABD_Button;
    WABD_Label1: TWABD_Label;
    WABD_Label2: TWABD_Label;
    WABD_Label3: TWABD_Label;
    WABD_Button4: TWABD_Button;
    WABD_Label4: TWABD_Label;
    WABD_Button5: TWABD_Button;
    WABD_Label6: TWABD_Label;
    WABD_Label7: TWABD_Label;
    WABD_Button6: TWABD_Button;
    TableForm: TWABD_Form;
    WABD_DataTable1: TWABD_DataTable;
    AnimalsSrc: TDataSource;
    AnimalsTab: TTable;
    WABD_Header4: TWABD_Header;
    ControlsForm: TWABD_Form;
    WABD_Header5: TWABD_Header;
    WABD_FormSection2: TWABD_FormSection;
    WABD_Button7: TWABD_Button;
    WABD_FormSection3: TWABD_FormSection;
    WABD_Memo1: TWABD_Memo;
    WABD_Label5: TWABD_Label;
    WABD_Edit1: TWABD_Edit;
    WABD_Label8: TWABD_Label;
    WABD_ComboBox1: TWABD_ComboBox;
    WABD_Label9: TWABD_Label;
    WABD_CheckBox1: TWABD_CheckBox;
    WABD_CheckBox2: TWABD_CheckBox;
    WABD_CheckBox3: TWABD_CheckBox;
    WABD_RadioButton1: TWABD_RadioButton;
    WABD_RadioButton2: TWABD_RadioButton;
    WABD_RadioButton3: TWABD_RadioButton;
    WABD_ListBox1: TWABD_ListBox;
    WABD_Button8: TWABD_Button;
    WABD_Button9: TWABD_Button;
    WABD_FormSection4: TWABD_FormSection;
    WABD_Button10: TWABD_Button;
    ImageForm: TWABD_Form;
    WABD_Header6: TWABD_Header;
    WABD_FormSection5: TWABD_FormSection;
    WABD_Button11: TWABD_Button;
    WABD_FormSection6: TWABD_FormSection;
    WABD_Image1: TWABD_Image;
    ClickLabel: TWABD_Label;
    WABD_Label10: TWABD_Label;
    HotSpot_F: TWABD_HotSpot;
    HotSpot_P: TWABD_HotSpot;
    LiveImageForm: TWABD_Form;
    WABD_Header7: TWABD_Header;
    WABD_FormSection7: TWABD_FormSection;
    WABD_Button12: TWABD_Button;
    WABD_FormSection8: TWABD_FormSection;
    WABD_LiveImage1: TWABD_LiveImage;
    UpdateImage: TWABD_Button;
    WABD_BlankLines1: TWABD_BlankLines;
    HTMLCompForm: TWABD_Form;
    WABD_Header8: TWABD_Header;
    WABD_FormSection9: TWABD_FormSection;
    WABD_Button13: TWABD_Button;
    WABD_EditTable1: TWABD_EditTable;
    WABD_BlankLines2: TWABD_BlankLines;
    WABD_BlankLines3: TWABD_BlankLines;
    WABD_Label11: TWABD_Label;
    WABD_Label12: TWABD_Label;
    WABD_Label13: TWABD_Label;
    WABD_Header9: TWABD_Header;
    WABD_Header10: TWABD_Header;
    WABD_BlankLines4: TWABD_BlankLines;
    WABD_BlankLines5: TWABD_BlankLines;
    WABD_Label14: TWABD_Label;
    WABD_Label15: TWABD_Label;
    WABD_Label16: TWABD_Label;
    WABD_Button14: TWABD_Button;
    FillEdit: TWABD_Edit;
    GoodbyeForm: TWABD_Form;
    WABD_Header11: TWABD_Header;
    WABD_FormSection10: TWABD_FormSection;
    WABD_Label17: TWABD_Label;
    TimeLabel: TWABD_Label;
    WABD_Label18: TWABD_Label;
    WABD_Anchor1: TWABD_Anchor;
    WABD_Label19: TWABD_Label;
    WABD_Anchor2: TWABD_Anchor;
    WABD_Button15: TWABD_Button;
    BgndImage: TWABD_Image;
    LastForm: TWABD_Form;
    WABD_Header12: TWABD_Header;
    Session1: TSession;
    procedure WABD_Button1Click(Sender: TObject);
    procedure WABD_Button7Click(Sender: TObject);
    procedure WABD_Button8Click(Sender: TObject);
    procedure WABD_Button9Click(Sender: TObject);
    procedure WABD_Button2Click(Sender: TObject);
    procedure WABD_Button10Click(Sender: TObject);
    procedure WABD_Button3Click(Sender: TObject);
    procedure WABD_Button11Click(Sender: TObject);
    procedure WABD_Image1MouseDown(Sender: TObject; X, Y: Integer);
    procedure HotSpot_FClick(Sender: TObject);
    procedure HotSpot_PClick(Sender: TObject);
    procedure WABD_Button4Click(Sender: TObject);
    procedure WABD_Button12Click(Sender: TObject);
    procedure UpdateImageClick(Sender: TObject);
    procedure LiveImageFormShow(Sender: TObject);
    procedure WABD_Button13Click(Sender: TObject);
    procedure WABD_Button5Click(Sender: TObject);
    procedure WABD_Button14Click(Sender: TObject);
    procedure GoodbyeFormShow(Sender: TObject);
    procedure UserSessionFirstLogon(Sender: TObject);
    procedure WABD_Button6Click(Sender: TObject);
    procedure WABD_Button15Click(Sender: TObject);
    procedure TestFormsCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    LogOnTime  : TDateTime;
    procedure  Turn(b: boolean);
  end;

var
  TestForms: TTestForms;

implementation

{$R *.DFM}

procedure TTestForms.WABD_Button1Click(Sender: TObject);
begin
   TableForm.Show;
end;

procedure TTestForms.WABD_Button7Click(Sender: TObject);
begin
   MainForm.Show;
end;

procedure TTestForms.Turn(b: boolean);
begin
   WABD_CheckBox1.Checked := b;
   WABD_CheckBox2.Checked := b;
   WABD_CheckBox3.Checked := b;
end;

procedure TTestForms.WABD_Button8Click(Sender: TObject);
begin
   Turn(True);
end;

procedure TTestForms.WABD_Button9Click(Sender: TObject);
begin
   Turn(False);
end;

procedure TTestForms.WABD_Button2Click(Sender: TObject);
begin
   ControlsForm.Show;
end;

procedure TTestForms.WABD_Button10Click(Sender: TObject);
begin
   MainForm.Show;
end;

procedure TTestForms.WABD_Button3Click(Sender: TObject);
begin
   ImageForm.Show;
end;

procedure TTestForms.WABD_Button11Click(Sender: TObject);
begin
   MainForm.Show;
end;

procedure TTestForms.WABD_Image1MouseDown(Sender: TObject; X, Y: Integer);
begin
   ClickLabel.Caption := Format('User clicked at %d, %d', [X, Y]);
end;

procedure TTestForms.HotSpot_FClick(Sender: TObject);
begin
   ClickLabel.Caption := 'You clicked the letter "F"';
end;

procedure TTestForms.HotSpot_PClick(Sender: TObject);
begin
   ClickLabel.Caption := 'You clicked the letter "P"';
end;

procedure TTestForms.WABD_Button4Click(Sender: TObject);
begin
   LiveImageForm.Show;
end;

procedure TTestForms.WABD_Button12Click(Sender: TObject);
begin
   MainForm.Show;
end;

procedure TTestForms.UpdateImageClick(Sender: TObject);
var
   t : TDateTime;
   R : TRect;
begin
   t := Now;
   with WABD_LiveImage1.Canvas do begin
      Brush.Style  := bsSolid;
      R := Rect(0, 0, WABD_LiveImage1.ImageWidth, WABD_LiveImage1.ImageHeight);
      FillRect(R);  

      Font.Name    := 'Times New Roman';
      Font.Size    := 24;
      Font.Style   := Font.Style + [fsItalic, fsBold];
      Brush.Style  := bsClear;

      Font.Color  := clLtGray;
      TextOut(8, 8, 'This is a Live Image!');
      TextOut(8, 58, 'The time is ' + DateTimeToStr(t));

      Font.Color  := clBlue;
      TextOut(5, 5, 'This is a Live Image!');
      TextOut(5, 55, 'The time is ' + DateTimeToStr(t));
   end;
end;

procedure TTestForms.LiveImageFormShow(Sender: TObject);
begin
   UpdateImageClick(Self);
end;

procedure TTestForms.WABD_Button13Click(Sender: TObject);
begin
   MainForm.Show;
end;

procedure TTestForms.WABD_Button5Click(Sender: TObject);
begin
   HTMLCompForm.Show;
end;

procedure TTestForms.WABD_Button14Click(Sender: TObject);
var
   x, y : integer;
begin
   with WABD_EditTable1 do begin
      for x := 0 to Cols-1 do
         for y := 0 to Rows-1 do
            Cells[x,y] := Format('%s %d, %d', [FillEdit.Text, x+1, y+1]);
   end;
end;

procedure TTestForms.GoodbyeFormShow(Sender: TObject);
var
   t : TDateTime;
begin
   t := Now - LogOnTime;
   TimeLabel.Caption := FormatDateTime('hh:nn:ss', t);
end;

procedure TTestForms.UserSessionFirstLogon(Sender: TObject);
begin
   LogOnTime := Now;
end;

procedure TTestForms.WABD_Button6Click(Sender: TObject);
begin
   GoodByeForm.Show;
end;

procedure TTestForms.WABD_Button15Click(Sender: TObject);
begin
   UserSession.Logoff;
   LastForm.Show;
end;

procedure TTestForms.TestFormsCreate(Sender: TObject);
begin
   Session1.Active := True;
   AnimalsTab.Active := True;
end;

end.
