unit IFPAbout;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, verslab, ShellAPI, Dialogs;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProductName: TLabel;
    OKButton: TButton;
    VersionLabel1: TVersionLabel;
    VersionLabel2: TVersionLabel;
    VersionLabel3: TVersionLabel;
    JumpLabel: TLabel;
    Image1: TImage;
    Image2: TImage;
    Label1: TLabel;
    Label2: TLabel;
    procedure JumpLabelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}


procedure TAboutBox.JumpLabelClick(Sender: TObject);
var
   s  : string;
   rc : integer;
begin
   JumpLabel.Font.Color := clGreen;
   Update;

   s := 'http://www.radix.net/~bziegler/ifp/ifp.htm';
   rc := ShellExecute(handle, 'open', PChar(s), nil, nil, SW_SHOWNORMAL);
   if (rc <= 32) then ShowMessage('Unable to execute: ' + s + #13#10 + 'Browser not installed?');
end;


end.
 
