unit WABD_About;

interface

{$DEFINE WABD_REGISTERED}      // Change this to $DEFINE for registered users

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ShellAPI, DsgnIntf;

type
  TWABDAboutForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Bevel1: TBevel;
    Label10: TLabel;
    Label11: TLabel;
    Button1: TButton;
    Label12: TLabel;
    JumpLabel: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure JumpLabelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

   TWABDAbout = class(TPersistent)
   end;

   TWABDAboutProperty = class(TClassProperty)
   public
      procedure Edit; override;
      function  GetAttributes: TPropertyAttributes; override;
      function  GetValue: string; override;
   end;

var
  WABDAboutForm: TWABDAboutForm;

implementation

{$R *.DFM}
{$R WABD_resources.res}

procedure TWABDAboutForm.Button1Click(Sender: TObject);
begin
   Close;
end;

procedure TWABDAboutForm.FormCreate(Sender: TObject);
begin
   Screen.Cursors[1] := LoadCursor(HInstance, 'FLATHAND');
   JumpLabel.Cursor := 1;

   {$IFNDEF WABD_REGISTERED}
   with TLabel.Create(self) do begin
      Parent      := self;
      Left        := 50;
      Top         := 131;
      Caption     := '** Unregistered Copy **';
      Font.Color  := clRed;
      Font.Height := -24;
      Font.Name   := 'Times New Roman';
      Font.Style  := [fsBold];
      Transparent := True;
   end;
   {$ENDIF}
end;

procedure TWABDAboutForm.JumpLabelClick(Sender: TObject);
var
   s : string;
   rc : integer;
begin
   JumpLabel.Font.Color := clGreen;
   JumpLabel.Update;
   s := JumpLabel.Caption;
   rc := ShellExecute(handle, 'open', PChar(s), nil, nil, SW_SHOWNORMAL);
   if (rc <= 32) then ShowMessage('Unable to execute: ' + s + #13#10 + 'Browser not installed?');
end;

procedure TWABDAboutProperty.Edit;
var
   f : TWABDAboutForm;
begin
   f := TWABDAboutForm.Create(Application);
   try
      f.ShowModal;
      Modified;
   finally
      f.Free;
   end;
end;

function TWABDAboutProperty.GetValue: string;
begin
   Result := '(Click Me)';
end;

function TWABDAboutProperty.GetAttributes: TPropertyAttributes;
begin
   Result := [paDialog];
end;


end.
